package com.gingersoft.gsa.cloud.base.order.bean;

import java.util.List;

import lombok.Data;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-02-22
 * 修订历史：2020-02-22
 * 描述：
 * @author admin
 */
@Data
public class DeleteOrderRequest {

    private List<DeleteOrderRequest.DeleteBean> mapsDelete;
    private long orderId;
    private long tableId;
    private String tableNumber;
    private byte type;
    private long reasonId;

    @Data
    public static class DeleteBean {
        private long id;
        private int number;

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public int getNumber() {
            return number;
        }

        public void setNumber(int number) {
            this.number = number;
        }
    }

    public List<DeleteBean> getMapsDelete() {
        return mapsDelete;
    }

    public void setMapsDelete(List<DeleteBean> mapsDelete) {
        this.mapsDelete = mapsDelete;
    }

    public long getOrderId() {
        return orderId;
    }

    public void setOrderId(long orderId) {
        this.orderId = orderId;
    }

    public long getTableId() {
        return tableId;
    }

    public void setTableId(long tableId) {
        this.tableId = tableId;
    }

    public String getTableNumber() {
        return tableNumber;
    }

    public void setTableNumber(String tableNumber) {
        this.tableNumber = tableNumber;
    }

    public byte getType() {
        return type;
    }

    public void setType(byte type) {
        this.type = type;
    }

    public long getReasonId() {
        return reasonId;
    }

    public void setReasonId(long reasonId) {
        this.reasonId = reasonId;
    }
}
